Package org.eclipse.jdt.core.refactoring.descriptors

# Class JavaRefactoringContribution

java.lang.Object
org.eclipse.ltk.core.refactoring.RefactoringContribution
org.eclipse.jdt.core.refactoring.descriptors.JavaRefactoringContribution

public abstract class JavaRefactoringContribution extends org.eclipse.ltk.core.refactoring.RefactoringContribution
Partial implementation of a Java refactoring contribution.

Note: this class is not intended to be extended outside the refactoring framework.

Since:
  1.1
Restriction:
  This class is not intended to be subclassed by clients outside JDT

## Constructor Summary

Constructors
Constructor
Description
`JavaRefactoringContribution()`

## Method Summary

Modifier and Type
Method
Description
`abstract org.eclipse.ltk.core.refactoring.Refactoring`
`createRefactoring(JavaRefactoringDescriptor descriptor, org.eclipse.ltk.core.refactoring.RefactoringStatus status)`
Creates the a new refactoring instance.
`final Map<String,String>`
`retrieveArgumentMap(org.eclipse.ltk.core.refactoring.RefactoringDescriptor descriptor)`

### Methods inherited from class org.eclipse.ltk.core.refactoring.RefactoringContribution

`createDescriptor, createDescriptor, getId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JavaRefactoringContribution

public JavaRefactoringContribution()

## Method Details

### retrieveArgumentMap

public final Map<String,String> retrieveArgumentMap(org.eclipse.ltk.core.refactoring.RefactoringDescriptor descriptor)

Overrides:
  `retrieveArgumentMap` in class `org.eclipse.ltk.core.refactoring.RefactoringContribution`

### createRefactoring

public abstract org.eclipse.ltk.core.refactoring.Refactoring createRefactoring(JavaRefactoringDescriptor descriptor, org.eclipse.ltk.core.refactoring.RefactoringStatus status) throws org.eclipse.core.runtime.CoreException
Creates the a new refactoring instance.

Parameters:
  `descriptor` - the refactoring descriptor
  `status` - the status used for the resulting status
Returns:
  the refactoring, or `null`
Throws:
  `org.eclipse.core.runtime.CoreException` - if an error occurs while creating the refactoring
Since:
  1.2